## openssl 1.1.1d.8

=== debian/changelog ===
openssl (1.1.1d.8-1) unstable; urgency=medium

  * recognize loongarch64 architecture.

 -- Jinqingchen <jinqingchen@uniontech.com>  Thu, 04 Nov 2021 14:46:18 +0800

openssl (1.1.1d.7-1) unstable; urgency=medium

  * Add 1.1.1d-0+deb10u7
  * Rebuild

 -- yangmingjun <yangmingjun@uniontech.com>  Tue, 24 Aug 2021 17:00:18 +0800

openssl (1.1.1d-0+deb10u7) buster-security; urgency=medium

  * CVE-2021-3711 (SM2 Decryption Buffer Overflow).
  * CVE-2021-3712 (Read buffer overruns processing ASN.1 strings).

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Tue, 24 Aug 2021 10:30:43 +0200

openssl (1.1.1d.6-1) unstable; urgency=medium

  * Add 1.1.1d-0+deb10u6
  * Rebuild

 -- yangmingjun <yangmingjun@uniontech.com>  Thu, 01 Apr 2021 16:00:18 +0800

openssl (1.1.1d-0+deb10u6) buster-security; urgency=medium

  * CVE-2021-3449 (NULL pointer deref in signature_algorithms processing).

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Tue, 23 Mar 2021 00:08:47 +0100

openssl (1.1.1d-0+deb10u5) buster-security; urgency=medium

  * CVE-2021-23841 (NULL pointer deref in X509_issuer_and_serial_hash()).
  * CVE-2021-23840 (Possible overflow of the output length argument in
    EVP_CipherUpdate(), EVP_EncryptUpdate() and EVP_DecryptUpdate()).
  * CVE-2019-1551 (Overflow in the x64_64 Montgomery squaring procedure),
    (Closes: #947949).

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Tue, 16 Feb 2021 23:08:43 +0100

openssl (1.1.1d-0+deb10u4) buster-security; urgency=medium

  * CVE-2020-1971 (EDIPARTYNAME NULL pointer de-reference).

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Mon, 07 Dec 2020 21:44:45 +0100

openssl (1.1.1d.5-1+dde) unstable; urgency=medium

  * Add help patch and Haiguang related national secret support.
  * Rebuild

 -- liuxin <liuxin@uniontech.com>  Mon, 18 Jan 2021 16:00:18 +0800

openssl (1.1.1d.1-1+dde) unstable; urgency=medium

  * Non-maintainer upload.
  * Rebuild

 -- liuyong <liuyong@deepin.com>  Sat, 04 Jul 2020 16:44:30 +0800

openssl (1.1.1d-0+deb10u3) buster-security; urgency=medium

  * CVE-2020-1967 (Segmentation fault in SSL_check_chain).

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Mon, 20 Apr 2020 22:23:01 +0200

openssl (1.1.1d-0+deb10u2) buster-security; urgency=medium

  * Reenable AES-CBC-HMAC-SHA ciphers (Closes: #941987).

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Sat, 12 Oct 2019 21:56:43 +0200

openssl (1.1.1d-0+deb10u1) buster-security; urgency=medium

  * New upstream version
   - CVE-2019-1549 (Fixed a fork protection issue).
   - CVE-2019-1547 (Compute ECC cofactors if not provided during EC_GROUP
     construction).
   - CVE-2019-1563 (Fixed a padding oracle in PKCS7_dataDecode and
     CMS_decrypt_set1_pkey).
  * Update symbol list

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Fri, 27 Sep 2019 21:29:13 +0200
