=== debian/control ===
Source: openssl
Build-Depends: debhelper (>= 11), m4, bc, dpkg-dev (>= 1.15.7)
Section: utils
Priority: optional
Maintainer: Debian OpenSSL Team <pkg-openssl-devel@lists.alioth.debian.org>
Uploaders: Christoph Martin <christoph.martin@uni-mainz.de>, Kurt Roeckx <kurt@roeckx.be>, Sebastian Andrzej Siewior <sebastian@breakpoint.cc>
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/debian/openssl
Vcs-Git: https://salsa.debian.org/debian/openssl.git
Homepage: https://www.openssl.org/
Rules-Requires-Root: no

Package: openssl
Architecture: any
Multi-Arch: foreign
Depends: libssl1.1 (>= 1.1.1d.5-1), ${shlibs:Depends}, ${perl:Depends}, ${misc:Depends}
Suggests: ca-certificates
Description: Secure Sockets Layer toolkit - cryptographic utility
 This package is part of the OpenSSL project's implementation of the SSL
 and TLS cryptographic protocols for secure communication over the
 Internet.
 .
 It contains the general-purpose command line binary /usr/bin/openssl,
 useful for cryptographic operations such as:
  * creating RSA, DH, and DSA key parameters;
  * creating X.509 certificates, CSRs, and CRLs;
  * calculating message digests;
  * encrypting and decrypting with ciphers;
  * testing SSL/TLS clients and servers;
  * handling S/MIME signed or encrypted mail.

Package: libssl1.1
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: python-httplib2 (<< 0.11.3-1), isync (<< 1.3.0-2), python-imaplib2 (<< 2.57-5), python3-imaplib2 (<< 2.57-5), python-boto (<< 2.44.0-1.1), python3-boto (<< 2.44.0-1.1), lighttpd (<< 1.4.49-2)
Description: Secure Sockets Layer toolkit - shared libraries
 This package is part of the OpenSSL project's implementation of the SSL
 and TLS cryptographic protocols for secure communication over the
 Internet.
 .
 It provides the libssl and libcrypto shared libraries.

Package: libcrypto1.1-udeb
Package-Type: udeb
Section: debian-installer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Secure Sockets Layer toolkit - libcrypto udeb
 This package is part of the OpenSSL project's implementation of the SSL
 and TLS cryptographic protocols for secure communication over the
 Internet.
 .
 It contains a version of the libcrypto shared library for use with the
 Debian Installer. Do not install it on a normal system.

Package: libssl1.1-udeb
Package-Type: udeb
Section: debian-installer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: ssl shared library - udeb
 libssl shared library.
 .
 Do not install it on a normal system.

Package: libssl-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Suggests: libssl-doc
Depends: libssl1.1 (= ${binary:Version}), ${misc:Depends}
Conflicts: libssl1.0-dev
Description: Secure Sockets Layer toolkit - development files
 This package is part of the OpenSSL project's implementation of the SSL
 and TLS cryptographic protocols for secure communication over the
 Internet.
 .
 It contains development libraries, header files, and manpages for libssl
 and libcrypto.

Package: libssl-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Replaces: libssl-dev (<< 1.0.0)
Breaks: libssl-dev (<< 1.0.0)
Depends: ${misc:Depends}
Description: Secure Sockets Layer toolkit - development documentation
 This package is part of the OpenSSL project's implementation of the SSL
 and TLS cryptographic protocols for secure communication over the
 Internet.
 .
 It contains manpages and demo files for libssl and libcrypto.
