=== debian/rules ===
--- 
+++ 
@@ -12,6 +12,7 @@
 include /usr/share/dpkg/pkg-info.mk
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_CFLAGS_MAINT_APPEND = -DOPENSSL_TLS_SECURITY_LEVEL=2
 
 SHELL=/bin/bash
 
@@ -139,6 +140,15 @@
 	fi
 	dh_fixperms -a -X etc/ssl/private
 
+override_dh_compress:
+	dh_compress
+	# symlink doc files
+	for p in openssl libssl-dev; do \
+	  for f in changelog.Debian.gz changelog.gz copyright; do \
+	    ln -sf ../libssl1.1/$$f debian/$$p/usr/share/doc/$$p/$$f; \
+	  done; \
+	done
+
 override_dh_perl:
 	dh_perl -d
