=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ https://www.openssl.org/source/ openssl-(1.1.1.*).tar.gz
