## openssl 1.1.1g

=== debian/changelog ===
openssl (1.1.1g-1+0~20200421.17+debian8~1.gbpf6902f) unstable; urgency=medium

  ** SNAPSHOT build @f6902fd145dbb8c2fdc1428d7dc654c385cf5330 **

  * UNRELEASED

 -- Ondřej Surý <ondrej@sury.org>  Tue, 21 Apr 2020 16:35:45 +0200

openssl (1.1.1g-1) unstable; urgency=medium

  * New upstream version

 -- Ondřej Surý <ondrej@debian.org>  Tue, 21 Apr 2020 16:09:43 +0200
