=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: openssl
-Build-Depends: debhelper-compat (= 12), m4, bc, dpkg-dev (>= 1.15.7)
+Build-Depends: debhelper (>= 9), m4, bc, dpkg-dev (>= 1.15.7)
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OpenSSL Team <pkg-openssl-devel@lists.alioth.debian.org>
+Maintainer: Debian OpenSSL Team <pkg-openssl-devel@lists.alioth.debian.org>
 Uploaders: Christoph Martin <christoph.martin@uni-mainz.de>, Kurt Roeckx <kurt@roeckx.be>, Sebastian Andrzej Siewior <sebastian@breakpoint.cc>
 Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/debian/openssl
@@ -36,7 +35,7 @@
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Breaks: python-httplib2 (<< 0.11.3-1), isync (<< 1.3.0-2), python-imaplib2 (<< 2.57-5), python3-imaplib2 (<< 2.57-5), python-boto (<< 2.44.0-1.1), python3-boto (<< 2.44.0-1.1), lighttpd (<< 1.4.49-2)
+Breaks: ${openssl:Breaks}
 Description: Secure Sockets Layer toolkit - shared libraries
  This package is part of the OpenSSL project's implementation of the SSL
  and TLS cryptographic protocols for secure communication over the
