=== debian/rules ===
--- 
+++ 
@@ -11,8 +11,7 @@
 include /usr/share/dpkg/architecture.mk
 include /usr/share/dpkg/pkg-info.mk
 
-export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export DEB_CFLAGS_MAINT_APPEND = -DOPENSSL_TLS_SECURITY_LEVEL=2
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all,-pie
 
 SHELL=/bin/bash
 
@@ -46,8 +45,16 @@
 	CONFARGS += enable-ec_nistp_64_gcc_128
 endif
 
+ifeq ($(DEB_DISTRIBUTION),$(filter $(DEB_DISTRIBUTION),jessie trusty xenial))
+	EXCLUDE_PACKAGES := -Nopenssl
+	BREAKS_PACKAGES :=
+else
+	EXCLUDE_PACKAGES :=
+	BREAKS_PACKAGES := python-httplib2 (<< 0.11.3-1), isync (<< 1.3.0-2), python-imaplib2 (<< 2.57-5), python3-imaplib2 (<< 2.57-5), python-boto (<< 2.44.0-1.1), python3-boto (<< 2.44.0-1.1), lighttpd (<< 1.4.49-2)
+endif
+
 %:
-	dh $@ --without autoreconf
+	dh $@ --without autoreconf $(EXCLUDE_PACKAGES)
 
 override_dh_auto_configure:
 	test -z "$(OPTS)" || for opt in $(OPTS); \
@@ -140,15 +147,6 @@
 	fi
 	dh_fixperms -a -X etc/ssl/private
 
-override_dh_compress:
-	dh_compress
-	# symlink doc files
-	for p in openssl libssl-dev; do \
-	  for f in changelog.Debian.gz changelog.gz copyright; do \
-	    ln -sf ../libssl1.1/$$f debian/$$p/usr/share/doc/$$p/$$f; \
-	  done; \
-	done
-
 override_dh_perl:
 	dh_perl -d
 
@@ -158,3 +156,7 @@
 override_dh_shlibdeps:
 	sed -i '/^udeb: libssl/s/libcrypto1.1-udeb/libssl1.1-udeb/' debian/libssl1.1/DEBIAN/shlibs
 	dh_shlibdeps -a -L libssl1.1
+
+override_dh_installdirs:
+	echo "openssl:Breaks=$(BREAKS_PACKAGES)" >> debian/libssl1.1.substvars
+	dh_installdirs
