## openssl 1.1.1k

=== debian/changelog ===
openssl (1.1.1k-1) unstable; urgency=medium

  * New upstream version.
    - CVE-2021-3450 (CA certificate check bypass with X509_V_FLAG_X509_STRICT).
    - CVE-2021-3449 (NULL pointer deref in signature_algorithms processing).

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Thu, 25 Mar 2021 21:49:34 +0100
