=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,8 @@
 include /usr/share/dpkg/architecture.mk
 include /usr/share/dpkg/pkg-info.mk
 
-export DEB_BUILD_MAINT_OPTIONS = hardening=+all,-pie
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all future=+lfs
+export DEB_CFLAGS_MAINT_APPEND = -DOPENSSL_TLS_SECURITY_LEVEL=2
 
 SHELL=/bin/bash
 
@@ -29,7 +30,7 @@
 	MAKEFLAGS += -j$(NUMJOBS)
 endif
 
-CONFARGS  = --prefix=/usr --openssldir=/usr/lib/ssl --libdir=lib/$(DEB_HOST_MULTIARCH) no-idea no-mdc2 no-rc5 no-zlib no-ssl3 enable-unit-test no-ssl3-method enable-rfc3779 enable-cms
+CONFARGS  = --prefix=/usr --openssldir=/usr/lib/ssl --libdir=lib/$(DEB_HOST_MULTIARCH) no-idea no-mdc2 no-rc5 no-zlib no-ssl3 enable-unit-test no-ssl3-method enable-rfc3779 enable-cms no-capieng
 OPT_alpha = ev4 ev5
 ARCHOPTS  = OPT_$(DEB_HOST_ARCH)
 OPTS      = $($(ARCHOPTS))
@@ -45,16 +46,8 @@
 	CONFARGS += enable-ec_nistp_64_gcc_128
 endif
 
-ifeq ($(DEB_DISTRIBUTION),$(filter $(DEB_DISTRIBUTION),jessie trusty xenial))
-	EXCLUDE_PACKAGES := -Nopenssl
-	BREAKS_PACKAGES :=
-else
-	EXCLUDE_PACKAGES :=
-	BREAKS_PACKAGES := python-httplib2 (<< 0.11.3-1), isync (<< 1.3.0-2), python-imaplib2 (<< 2.57-5), python3-imaplib2 (<< 2.57-5), python-boto (<< 2.44.0-1.1), python3-boto (<< 2.44.0-1.1), lighttpd (<< 1.4.49-2)
-endif
-
 %:
-	dh $@ --without autoreconf $(EXCLUDE_PACKAGES)
+	dh $@ --without autoreconf
 
 override_dh_auto_configure:
 	test -z "$(OPTS)" || for opt in $(OPTS); \
@@ -126,9 +119,11 @@
 	mkdir -p debian/tmp/etc/ssl
 	mv debian/tmp/usr/lib/ssl/{certs,openssl.cnf,private} debian/tmp/etc/ssl/
 	ln -s /etc/ssl/{certs,openssl.cnf,private} debian/tmp/usr/lib/ssl/
+ifeq (,$(filter noudeb,$(DEB_BUILD_PROFILES)))
 	cp -pf debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libcrypto.so.* debian/libcrypto1.1-udeb/usr/lib/
 	cp -pf debian/tmp/etc/ssl/openssl.cnf debian/libcrypto1.1-udeb/usr/lib/ssl/openssl.cnf
 	cp -pf debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libssl.so.* debian/libssl1.1-udeb/usr/lib/
+endif
 	cp -auv build_shared/lib*.so* debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/
 	for opt in $(OPTS); \
 		do set -xe; \
@@ -147,6 +142,15 @@
 	fi
 	dh_fixperms -a -X etc/ssl/private
 
+override_dh_compress:
+	dh_compress
+	# symlink doc files
+	for p in openssl libssl-dev; do \
+	  for f in changelog.Debian.gz changelog.gz copyright; do \
+	    ln -sf ../libssl1.1/$$f debian/$$p/usr/share/doc/$$p/$$f; \
+	  done; \
+	done
+
 override_dh_perl:
 	dh_perl -d
 
@@ -156,7 +160,3 @@
 override_dh_shlibdeps:
 	sed -i '/^udeb: libssl/s/libcrypto1.1-udeb/libssl1.1-udeb/' debian/libssl1.1/DEBIAN/shlibs
 	dh_shlibdeps -a -L libssl1.1
-
-override_dh_installdirs:
-	echo "openssl:Breaks=$(BREAKS_PACKAGES)" >> debian/libssl1.1.substvars
-	dh_installdirs
