## openssl 1.1.1n

=== debian/changelog ===
openssl (1.1.1n-0+deb10u3) buster-security; urgency=medium

  * CVE-2022-2068 (The c_rehash script allows command injection).
  * Update expired certs.

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Fri, 24 Jun 2022 22:07:00 +0200

openssl (1.1.1n-0+deb10u2) buster-security; urgency=medium

  * CVE-2022-1292 (The c_rehash script allows command injection).

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Tue, 10 May 2022 20:40:51 +0200

openssl (1.1.1n-0+deb10u1) buster; urgency=medium

  * New upstream version.
    - Add new symbols.

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Fri, 18 Mar 2022 19:41:12 +0100

openssl (1.1.1d-0+deb10u8) buster-security; urgency=medium

  * Fix armv8 pointer authentication (Closes: #989604).
  * CVE-2022-0778 (Infinite loop in BN_mod_sqrt() reachable when parsing
    certificates).
  * CVE-2021-4160 (Carry propagation bug in the MIPS32 and MIPS64 squaring
    procedure.)

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Mon, 14 Mar 2022 21:10:26 +0100
