=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: openssl
-Build-Depends: debhelper-compat (= 12), m4, bc, dpkg-dev (>= 1.15.7)
+Build-Depends: debhelper (>= 11), m4, bc, dpkg-dev (>= 1.15.7)
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OpenSSL Team <pkg-openssl-devel@lists.alioth.debian.org>
+Maintainer: Debian OpenSSL Team <pkg-openssl-devel@lists.alioth.debian.org>
 Uploaders: Christoph Martin <christoph.martin@uni-mainz.de>, Kurt Roeckx <kurt@roeckx.be>, Sebastian Andrzej Siewior <sebastian@breakpoint.cc>
-Standards-Version: 4.5.0
+Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/debian/openssl
 Vcs-Git: https://salsa.debian.org/debian/openssl.git
 Homepage: https://www.openssl.org/
@@ -46,7 +45,6 @@
 
 Package: libcrypto1.1-udeb
 Package-Type: udeb
-Build-Profiles: <!noudeb>
 Section: debian-installer
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -60,7 +58,6 @@
 
 Package: libssl1.1-udeb
 Package-Type: udeb
-Build-Profiles: <!noudeb>
 Section: debian-installer
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
