## openssl 1.1.1w

=== debian/changelog ===
openssl (1.1.1w-0+deb11u4) bullseye-security; urgency=medium

  * Non-maintainer upload by the LTS Team.
  * CVE-2025-9230: Out-of-bounds read & write in RFC 3211 KEK Unwrap

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Fri, 03 Oct 2025 11:54:41 +0200

openssl (1.1.1w-0+deb11u3) bullseye-security; urgency=medium

  * Non-maintainer upload by the LTS Team.
  * CVE-2024-13176: Timing side-channel in ECDSA signature computation

 -- Adrian Bunk <bunk@debian.org>  Tue, 20 May 2025 18:17:12 +0300

openssl (1.1.1w-0+deb11u2) bullseye-security; urgency=high

  * Non-maintainer upload by the LTS Security Team.
  * Backport upstream fixes for
    - CVE-2023-5678 (denial of service w/ excessively long X9.42 DH keys)
      (Closes: #1055473)
    - CVE-2024-0727 (denial of service on null field in PKCS12 file)
      (Closes: #1061582)
    - CVE-2024-2511 (denial of service when SSL_OP_NO_TICKET with TLSv1.3)
      (Closes: #1068658)
    - CVE-2024-4741 (use after free with SSL_free_buffers)
      (Closes: #1072113)
    - CVE-2024-5535 (crash or buffer overread in SSL_select_next_proto)
      (Closes: #1074487)
    - CVE-2024-9143 (out-of-bounds access w/ certain elliptic curve APIs)
      (Closes: #1085378).

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 03 Nov 2024 12:59:56 +0800

openssl (1.1.1w-0+deb11u1) bullseye; urgency=medium

  * Import 1.1.1w

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Wed, 13 Sep 2023 21:21:33 +0200

openssl (1.1.1v-0~deb11u1) bullseye; urgency=medium

  * Import 1.1.1v
    - CVE-2023-3446 (Excessive time spent checking DH keys and parameters).
      (Closes: #1041817).
    - CVE-2023-3817 (Excessive time spent checking DH q parameter value).

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Sat, 26 Aug 2023 13:17:12 +0200

openssl (1.1.1n-0+deb11u5) bullseye-security; urgency=medium

  * CVE-2023-0464 (Excessive Resource Usage Verifying X.509 Policy
    Constraints) (Closes: #1034720).
  * CVE-2023-0465 (Invalid certificate policies in leaf certificates are
    silently ignored).
  * CVE-2023-0466 (Certificate policy check not enabled).
  * Alternative fix for CVE-2022-4304 (Timing Oracle in RSA Decryption).
  * CVE-2023-2650 (Possible DoS translating ASN.1 object identifiers).

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Fri, 26 May 2023 23:30:44 +0200

openssl (1.1.1n-0+deb11u4) bullseye-security; urgency=medium

  * CVE-2022-4450 (Double free after calling PEM_read_bio_ex).
  * CVE-2023-0286 (X.400 address type confusion in X.509 GeneralName).
  * CVE-2023-0215 (Use-after-free following BIO_new_NDEF).
  * CVE-2022-4304 (Timing Oracle in RSA Decryption).
  * CVE-2022-2097 (AES OCB fails to encrypt some bytes).

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Sun, 05 Feb 2023 22:23:17 +0100

openssl (1.1.1n-0+deb11u3) bullseye-security; urgency=medium

  * CVE-2022-2068 (The c_rehash script allows command injection).
  * Update expired certs.

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Fri, 24 Jun 2022 22:22:19 +0200

openssl (1.1.1n-0+deb11u2) bullseye-security; urgency=medium

  * CVE-2022-1292 (The c_rehash script allows command injection).

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Tue, 10 May 2022 20:37:36 +0200

openssl (1.1.1n-0+deb11u1) bullseye; urgency=medium

  * New upstream version.

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Fri, 18 Mar 2022 19:25:07 +0100

openssl (1.1.1k-1+deb11u2) bullseye-security; urgency=medium

  * CVE-2022-0778 (Infinite loop in BN_mod_sqrt() reachable when parsing
    certificates).
  * CVE-2021-4160 (Carry propagation bug in the MIPS32 and MIPS64 squaring
    procedure.)

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Mon, 14 Mar 2022 19:51:01 +0100

openssl (1.1.1k-1+deb11u1) bullseye-security; urgency=medium

  * CVE-2021-3711 (SM2 Decryption Buffer Overflow).
  * CVE-2021-3712 (Read buffer overruns processing ASN.1 strings).

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Tue, 24 Aug 2021 10:28:12 +0200
