=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: openssl
-Build-Depends: debhelper (>= 11), m4, bc, dpkg-dev (>= 1.15.7)
+Build-Depends: debhelper-compat (= 12), m4, bc, dpkg-dev (>= 1.15.7)
 Section: utils
 Priority: optional
 Maintainer: Debian OpenSSL Team <pkg-openssl-devel@lists.alioth.debian.org>
 Uploaders: Christoph Martin <christoph.martin@uni-mainz.de>, Kurt Roeckx <kurt@roeckx.be>, Sebastian Andrzej Siewior <sebastian@breakpoint.cc>
-Standards-Version: 4.2.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/debian/openssl
 Vcs-Git: https://salsa.debian.org/debian/openssl.git
 Homepage: https://www.openssl.org/
