=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,6 @@
 include /usr/share/dpkg/pkg-info.mk
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all future=+lfs
-export DEB_CFLAGS_MAINT_APPEND = -DOPENSSL_TLS_SECURITY_LEVEL=2
 
 SHELL=/bin/bash
 
@@ -119,11 +118,9 @@
 	mkdir -p debian/tmp/etc/ssl
 	mv debian/tmp/usr/lib/ssl/{certs,openssl.cnf,private} debian/tmp/etc/ssl/
 	ln -s /etc/ssl/{certs,openssl.cnf,private} debian/tmp/usr/lib/ssl/
-ifeq (,$(filter noudeb,$(DEB_BUILD_PROFILES)))
 	cp -pf debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libcrypto.so.* debian/libcrypto1.1-udeb/usr/lib/
 	cp -pf debian/tmp/etc/ssl/openssl.cnf debian/libcrypto1.1-udeb/usr/lib/ssl/openssl.cnf
 	cp -pf debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libssl.so.* debian/libssl1.1-udeb/usr/lib/
-endif
 	cp -auv build_shared/lib*.so* debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/
 	for opt in $(OPTS); \
 		do set -xe; \
@@ -142,15 +139,6 @@
 	fi
 	dh_fixperms -a -X etc/ssl/private
 
-override_dh_compress:
-	dh_compress
-	# symlink doc files
-	for p in openssl libssl-dev; do \
-	  for f in changelog.Debian.gz changelog.gz copyright; do \
-	    ln -sf ../libssl1.1/$$f debian/$$p/usr/share/doc/$$p/$$f; \
-	  done; \
-	done
-
 override_dh_perl:
 	dh_perl -d
